YUI AS Component Documentation |
Interface IStackedSeries

Package | com.yahoo.astra.fl.charts.series
Interface | public interface IStackedSeries extends ISeries, flash.events.IEventDispatcher
Implementors | StackedBarSeries, StackedColumnSeries

A type of series that supports stacking.

Public Properties
Hide Inherited Public Properties
Show Inherited Public Properties

| Property | Defined by
--- | --- | ---
|  | chart : Object The chart in which this series appears. | ISeries
|  | dataProvider : Object The data provider for this series. | ISeries
|  | dataTipFunction : Function DataTip Function for series | ISeries
|  | displayName : String The name of the series as it appears to the user. | ISeries
|  | legendLabelFunction : Function If defined, the chart will call the input function to determine the text displayed in in the chart's legend. | ISeries
|  | length : int The number of items in the series. | ISeries

Public Methods
Hide Inherited Public Methods
Show Inherited Public Methods

| Method | Defined by
--- | --- | ---
|  | clone():ISeries Creates a copy of the ISeries object. | ISeries
|  | itemRendererToIndex(renderer:ISeriesItemRenderer):int Returns the index of an item renderer. | ISeries
|  | itemToItemRenderer(item:Object):ISeriesItemRenderer Converts an item to its corresponding item renderer. | ISeries

Events
Hide Inherited Events
Show Inherited Events

| Event | Summary | Defined by
--- | --- | --- | ---
|  | dataChange | Dispatched when the data property for an ISeries changes. | ISeries